Subject: RE: [Ieprep] RE: Totally isolated networks

From: "Rosen, Brian" <[email-masked]>
Date: Thu, 4 Apr 2002 17:34:24 -0500

Good point re isolated networks.

Let's get the requirements settled before we look at solutions, please.

One aspect we might want to explore is whether we see requirements for
ADAPTING to various bits that emergency workers might have, or whether
we see requirements for specifying new equipment.  It's always possible
to build gateways, but do we want to see most of the work as specifying
how gateways work, or do we want to write specs for new development?

The IPv4/6 is a case in point.  It might be a good idea to make all of the
new work v6 based from the word go.  We might then specify the precise
tunnel
mechanisms to get IPv6 through IPv4 networks.  On the other hand, we could
just specify the precise requirements for both V4 and V6 equipment as we
do for most other specs, and implementations can be either.  This is a
detail,
but the basic question - is this lots of gateways, or specs to build new
systems, is a pretty important question.

You know that in reality the answer is BOTH, but you still get to ask
if the main thrust assumes new stuff, or assumes work-with-what-you-got.

Brian

> -----Original Message-----
> From: Ken Diliberto [mailto:[email-masked]]
> Sent: Thursday, April 04, 2002 3:16 PM
> To: [email-masked]
> Subject: [Ieprep] RE: Totally isolated networks
> 
> 
> How about this:
> A city-wide private network run by the City.  This network 
> includes both wired and wireless technologies.  This is a 
> totally isolated network if the connection to the Internet disappears.
> 
> Let's add the desire for external government agencies to 
> share data.  Now we have a private Internet.  How about a 
> connection for the media (not that they wouldn't already be 
> hounding the brass in-person)?  Can you think of others who 
> might benefit by being connected?  I can, and the list would be long.
> 
> The problem I want to see addressed is the different 
> technologies used by each individual government being able to 
> interconnect to assist in disasters.  Do we assign IPv6 
> address blocks to each agency for mobility and the ability to 
> easily connect (just a thought)?
> 
> Ken
> 
> 
> At 11:07 AM 4/4/2002, Rosen, Brian wrote:
> >It isn't clear to me how a totally isolated network would be 
> of much use 
> >in an emergency, but you never know.
> 
> [snip]
> 
> 
> _______________________________________________
> Ieprep mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ieprep
> 

_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep

---

From: Alistair Munro <[email-masked]>
Date: Fri, 05 Apr 2002 09:16:48 +0100

Hi All,

> how gateways work, or do we want to write specs for new development?

I don't see this as the remit of this WG and it doesn't appear to be
consistent with the charter. It seems to be telling users what to do. Also
gateways are always part of a solution - not part of the requirements that you
have just urged us to settle first!

> systems, is a pretty important question.

It would be a big mistake to assume that IP is not used already for supporting
emergency service applications. Therefore there is almost certainly a legacy
to incorporate. I don't think developers of emergency services need to be told
what to build, but the job of this group (as I interpret it) is to inform them
what is there and how best to use it. Tunneling specifications exist already -
we need only refer to them.

> > easily connect (just a thought)?

Interconnection is not a problem for this group. We can put any solution we
like on the table but that will not encourage agencies to work together. Go to
any APCO conference (I'm sure you have done) and you will hear that it is not
lack of technology or specifications to interconnect systems. It is the human
problem that prevents it.

Also, address assignment is not done that way, nor would it solve any
problems. In particular it would make no difference to the probably desirable
outcome that we are able to make emergency services a commodity to be picked
up where they are on offer, or at least transportable to the extent that they
can be installed on demand into any available local infrastucture. I believe
that the protocols exist to do this already; it is information on best
practice that is missing. If there is no best practice or any practice at all
then we will have to be cautious in our guidance.

Regards,

Alistair